%?mingw_package_header

Name:           mingw-libgpg-error
Version:        1.36
Release:    1%{?dist}
Summary:        MinGW Windows GnuPGP error library

License:        LGPLv2+
URL:            ftp://ftp.gnupg.org/gcrypt/libgpg-error/
Source0:        ftp://ftp.gnupg.org/gcrypt/libgpg-error/libgpg-error-%{version}.tar.bz2
Source1:        ftp://ftp.gnupg.org/gcrypt/libgpg-error/libgpg-error-%{version}.tar.bz2.sig
Patch1:         libgpg-error-1.29-multilib.patch
Patch2:         libgpg-error-prepare-for-gawk-5.0.patch
BuildArch:      noarch

BuildRequires: make
BuildRequires:  mingw32-filesystem >= 95
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-binutils
BuildRequires:  mingw32-win-iconv
BuildRequires:  mingw32-gettext

BuildRequires:  mingw64-filesystem >= 95
BuildRequires:  mingw64-gcc
BuildRequires:  mingw64-binutils
BuildRequires:  mingw64-win-iconv
BuildRequires:  mingw64-gettext

BuildRequires:  gettext

BuildRequires:  libtool autoconf automake gettext-devel


%description
MinGW Windows GnuPGP error library.


%package -n mingw32-libgpg-error
Summary:        MinGW Windows libgpg-error compression library for the win32 target

%description -n mingw32-libgpg-error
MinGW Windows GnuPGP error library.

%package -n mingw32-libgpg-error-static
Summary:        Static library for mingw32-libgpg-error development
Requires:       mingw32-libgpg-error = %{version}-%{release}

%description -n mingw32-libgpg-error-static
Static library for mingw32-libgpg-error development.

%package -n mingw64-libgpg-error
Summary:        MinGW Windows libgpg-error compression library for the win64 target

%description -n mingw64-libgpg-error
MinGW Windows GnuPGP error library.

%package -n mingw64-libgpg-error-static
Summary:        Static library for mingw64-libgpg-error development
Requires:       mingw64-libgpg-error = %{version}-%{release}

%description -n mingw64-libgpg-error-static
Static library for mingw64-libgpg-error development.


%?mingw_debug_package


%prep
%setup -q -n libgpg-error-%{version}
%patch1 -p1 -b .multilib
%patch2 -p1 -b .gawk-5.0

autoreconf -i --force


%build
%mingw_configure --enable-shared --enable-static
%mingw_make %{?_smp_mflags}


%install
%mingw_make_install DESTDIR=%{buildroot}

find %{buildroot} -name "*.la" -delete

rm -rf %{buildroot}%{mingw32_infodir} %{buildroot}%{mingw32_mandir}
rm -rf %{buildroot}%{mingw64_infodir} %{buildroot}%{mingw64_mandir}

%mingw_find_lang libgpg-error


%files -n mingw32-libgpg-error -f mingw32-libgpg-error.lang
%{mingw32_bindir}/gpg-error-config
%{mingw32_bindir}/gpgrt-config
%{mingw32_bindir}/gpg-error.exe
%{mingw32_bindir}/yat2m.exe
%{mingw32_bindir}/libgpg-error-0.dll
%{mingw32_libdir}/libgpg-error.dll.a
%{mingw32_libdir}/pkgconfig/gpg-error.pc
%{mingw32_includedir}/gpg-error.h
%{mingw32_includedir}/gpgrt.h
%{mingw32_datadir}/aclocal/gpg-error.m4
%{mingw32_datadir}/aclocal/gpgrt.m4
%{mingw32_datadir}/common-lisp/source/gpg-error/*
%{mingw32_datadir}/libgpg-error

%files -n mingw32-libgpg-error-static
%{mingw32_libdir}/libgpg-error.a

%files -n mingw64-libgpg-error -f mingw64-libgpg-error.lang
%{mingw64_bindir}/gpg-error-config
%{mingw64_bindir}/gpgrt-config
%{mingw64_bindir}/gpg-error.exe
%{mingw64_bindir}/yat2m.exe
%{mingw64_bindir}/libgpg-error-0.dll
%{mingw64_libdir}/libgpg-error.dll.a
%{mingw64_libdir}/pkgconfig/gpg-error.pc
%{mingw64_includedir}/gpg-error.h
%{mingw64_includedir}/gpgrt.h
%{mingw64_datadir}/aclocal/gpg-error.m4
%{mingw64_datadir}/aclocal/gpgrt.m4
%{mingw64_datadir}/common-lisp/source/gpg-error/*
%{mingw64_datadir}/libgpg-error

%files -n mingw64-libgpg-error-static
%{mingw64_libdir}/libgpg-error.a


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.36-1
- initial build
